### Name: odfWeave
### Title: Sweave processing of Open Document Format (ODF) files
### Aliases: odfWeave
### Keywords: utilities

### ** Examples


## Not run: vignette("odfWeave")

## Not run: 
##D demoFile <- system.file("examples", "examples.odt", package = "odfWeave")
##D demoFile <- system.file("examples", "testCases.odt", package ="odfWeave")
##D demoFile <- system.file("examples", "formatting.odt", package = "odfWeave")
## End(Not run)

demoFile <- system.file("examples", "simple.odt", package = "odfWeave")
outputFile <- gsub("simple.odt", "output.odt", demoFile)

library(odfWeave)
odfWeave(demoFile, outputFile)

## Don't show: 
   odfWeave(
      system.file("examples", "examples.odt", package = "odfWeave"),
      gsub(
         "examples.odt", "examplesOut.odt",
         system.file("examples", "examples.odt", package = "odfWeave"),
         fixed = TRUE))

   odfWeave(
      system.file("examples", "testCases.odt", package = "odfWeave"),
      gsub(
         "testCases.odt", "testCasesOut.odt",
         system.file("examples", "examples.odt", package = "odfWeave"),
         fixed = TRUE))

   require(stats)
   attach(environmental)
   data(state)
   
   options(width = 90)
   
   basicStyles <- getStyleDefs()
   
   basicStyles$lowerBorder$backgroundColor <-  "#FFFFFF"
   
   basicStyles$lowerBorderGray <-  basicStyles$lowerBorder
   basicStyles$lowerBorderGray$backgroundColor <-  "#E8E8E8"
   
   basicStyles$ArialCenteredItalics <- basicStyles$ArialCenteredBold
   basicStyles$ArialCenteredItalics$fontSize <- "10 pt"
   basicStyles$ArialCenteredItalics$fontType <- "italic"
   
   basicStyles$ArialHighlight$fontColor <- "#000080"
   basicStyles$ArialHighlight$fontType <- ""
   
   basicStyles$highlight <- basicStyles$noBorder
   basicStyles$highlight$backgroundColor <- "#D4EBF3"
   
   basicStyles$RTable2 <- basicStyles$RTable1
   basicStyles$RTable2$marginLeft <- "1.5in"
   basicStyles$RTable2$marginRight <- "1.5in"
   basicStyles$RTable2$marginTop <- "1in"
   basicStyles$RTable2$marginBottom <- "2in"
   
   basicStyles$ttRed$fontSize <- "9pt"
   basicStyles$ttBlue$fontSize <- "9pt"
   
   setStyleDefs(basicStyles)
   
   plotInfo <- getImageDefs()
   plotInfo$dispHeight <- 4  
   plotInfo$dispWidth <- 4 
   setImageDefs(plotInfo)

   odfWeave(
      system.file("examples", "formatting.odt", package = "odfWeave"),
      gsub(
         "formatting.odt", "formattingOut.odt",
         system.file("examples", "formatting.odt", package = "odfWeave"),
         fixed = TRUE))

## End Don't show





